## com.bbn.openmap.dataAccess.shape.output
Class ShxOutputStream

    java.lang.Object
      com.bbn.openmap.dataAccess.shape.output.ShxOutputStream

public class ShxOutputStream
extends java.lang.Object

Writes the .shx file

Author:
  Doug Van Auken

Constructor Summary
`ShxOutputStream(java.io.OutputStream os)` Chains an output stream to a LittleEndianOutputStream

Method Summary
`boolean` `writeIndex(int[][] indexData, int layerType)` Writes the index, with the default extents of the graphics being the entire earth.
`boolean` `writeIndex(int[][] indexData, int layerType, float[] extents)` Writes the index, with the default extents of the graphics being the entire earth.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShxOutputStream

    public ShxOutputStream(java.io.OutputStream os)

  Chains an output stream to a LittleEndianOutputStream

Parameters:
  `os` - An outputstream to chain a LittleEndianOutputStream to

Method Detail

### writeIndex

    public boolean writeIndex(int[][] indexData,
                              int layerType)

  Writes the index, with the default extents of the graphics being the entire earth.

  Parameters:
    `indexData` - The index data to write
    `layerType` - Tye type of layer being written
  Returns:
    True if no exceptions occur

### writeIndex

    public boolean writeIndex(int[][] indexData,
                              int layerType,
                              float[] extents)

  Writes the index, with the default extents of the graphics being the entire earth.

  Parameters:
    `indexData` - The index data to write
    `layerType` - Tye type of layer being written
    `extents` - an array of floats describing, in order, miny, minx, maxy, maxx for the area that the graphics in the shape file cover.
  Returns:
    True if no exceptions occur

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details